Skip to main content
`Ctrl`+`K`

# SNESLineSearchVIProjectFn

A prototype of a `SNES` function that projects a vector onto the VI bounds, passed to `SNESLineSearchSetVIFunctions()`

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode             SNESLineSearchVIProjectFn(SNES snes, Vec u);

## Calling Sequence

- snes - `SNES` context

- u - the vector to project to the bounds

## Note

The deprecated `SNESLineSearchVIProjectFunc` still works as a replacement for `SNESLineSearchVIProjectFn` *.

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESLineSearch`

## Level

advanced

## Location

include/petscsnes.h

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages